Error after Updating version of Ubuntu

Hello all.
I was using Ubuntu 9.10 and ruby on rails with it. I had installed few
applications of rails in it. I use Aptana Rad Rails for all my
applications.
Everything was running fine until I updated my Ubuntu.
I upgraded to Ubuntu 10.04 online through update mangager. Then when I
run
rake db:migrate it gives the following error:
"rake aborted!
uninitialized constant MysqlCompat::MysqlRes"

What may be the problem? Please help me....

More over the following versions are installed in my system:

ruby -v ----> 1.8.7 (2010-01-10 patchlevel 249)
rails -v ---> 2.3.5
gem -v -----> 1.3.4

Please reply as soon as possible.
Thank you.